aboutsummaryrefslogtreecommitdiff
path: root/core/ca-certificates/files
diff options
context:
space:
mode:
authorCem Keylan <cem@ckyln.com>2020-06-18 09:55:19 +0300
committerCem Keylan <cem@ckyln.com>2020-06-18 09:55:19 +0300
commitb05cbab8bc30cd9dcf4fbe2f0f8222a55c070a63 (patch)
tree4b16161a58681401645a59dc70891065242f8aef /core/ca-certificates/files
parent31443a897f32c77ba0f98efe608162f8e052e453 (diff)
downloadrepository-b05cbab8bc30cd9dcf4fbe2f0f8222a55c070a63.tar.gz
ca-certificates: install update-certdata to /usr/bin
Diffstat (limited to 'core/ca-certificates/files')
-rwxr-xr-xcore/ca-certificates/files/cert.sh10
1 files changed, 7 insertions, 3 deletions
diff --git a/core/ca-certificates/files/cert.sh b/core/ca-certificates/files/cert.sh
index 5ac6a223..a4d23dda 100755
--- a/core/ca-certificates/files/cert.sh
+++ b/core/ca-certificates/files/cert.sh
@@ -1,11 +1,15 @@
#!/bin/sh -e
#
-# update-certdata.sh
+# update-certdata
-[ -w "$KISS_ROOT/etc/certificates" ] || {
+DEST="$KISS_ROOT/etc/certificates"
+
+[ -d "$DEST"] || mkdir -p "$DEST"
+
+[ -w "$DEST" ] || {
printf '%s\n' "${0##*/}: root required to update CA certificates." >&2
exit 1
}
-wget https://curl.haxx.se/ca/cacert.pem -O "$KISS_ROOT/etc/certificates/cert.pem"
+wget https://curl.haxx.se/ca/cacert.pem -O "$DEST/cert.pem"
printf '%s\n' "${0##*/}: updated cert.pem"